Fri, 07 Oct 2022 16:13:04 UTC

Information for build sagemath-5.8-7.fc18

ID413930
Package Namesagemath
Version5.8
Release7.fc18
Epoch
SummaryA free open-source mathematics software system
DescriptionSage is a free open-source mathematics software system licensed under the GPL. It combines the power of many existing open-source packages into a common Python-based interface.
Built bypcpa
State complete
Volume fedora_koji_archive00
StartedTue, 23 Apr 2013 22:34:28 UTC
CompletedWed, 24 Apr 2013 00:32:13 UTC
Taskbuild (f18-candidate, /sagemath:2c641cab13742f97d7ed70fb6b9206b06ea02423)
Tags
f18-updates
RPMs
src
sagemath-5.8-7.fc18.src.rpm (info) (download)
i686
sagemath-5.8-7.fc18.i686.rpm (info) (download)
sagemath-core-5.8-7.fc18.i686.rpm (info) (download)
sagemath-devel-5.8-7.fc18.i686.rpm (info) (download)
sagemath-notebook-5.8-7.fc18.i686.rpm (info) (download)
sagemath-rubiks-5.8-7.fc18.i686.rpm (info) (download)
sagemath-sagetex-5.8-7.fc18.i686.rpm (info) (download)
sagemath-debuginfo-5.8-7.fc18.i686.rpm (info) (download)
noarch
sagemath-data-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-data-conway_polynomials-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-data-elliptic_curves-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-data-extcode-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-data-graphs-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-data-polytopes_db-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-doc-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-doc-de-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-doc-en-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-doc-fr-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-doc-pt-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-doc-ru-5.8-7.fc18.noarch.rpm (info) (download)
sagemath-doc-tr-5.8-7.fc18.noarch.rpm (info) (download)
x86_64
sagemath-5.8-7.fc18.x86_64.rpm (info) (download)
sagemath-core-5.8-7.fc18.x86_64.rpm (info) (download)
sagemath-devel-5.8-7.fc18.x86_64.rpm (info) (download)
sagemath-notebook-5.8-7.fc18.x86_64.rpm (info) (download)
sagemath-rubiks-5.8-7.fc18.x86_64.rpm (info) (download)
sagemath-sagetex-5.8-7.fc18.x86_64.rpm (info) (download)
sagemath-debuginfo-5.8-7.fc18.x86_64.rpm (info) (download)
Logs
i686
build.log
root.log
state.log
x86_64
build.log
root.log
state.log
Changelog * Tue Apr 23 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.8-7 - Correct problem of package requiring a -devel file to work. * Tue Apr 23 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.8-6 - Correct a remaining arch specific file (symlink) in noarch package. * Mon Apr 22 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.8-5 - Do not build requires optional rpy in f18 due to it being broken in f18 - Correct koji sanity check finding arch specific file in noarch package - Add patch to build with just upgraded cython in rawhide * Mon Apr 22 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.8-4 - Remove noop icon cache regeneration scriplets (#877651#72) - First Fedora 18 and Fedora 19 approved package * Sun Apr 14 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.8-3 - Use proper license tag for non versioned GPL attribution (#877651#63) - Remove no longer required workarounds for clean upgrades (#877651#63) * Fri Apr 12 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.8-2 - Properly describe the license breakdown in the spec (#877651#60) - Correct lrslib requires to lrslib-utils (#877651#60) - Remove zero length files (#877651#60) - Correct png file with executable permission (#877651#60) - Avoid rpmlint warning in rubiks subpackage description (#877651#60) * Tue Mar 19 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.8-1 - Update to sagemath 5.8. - Do full cleanup of notebook package on uninstall. - Remove with_sage_cython build conditional. - Remove with_sage_networkx build conditional. - Add nopari2.6 patch to not rely on not yet available interfaces. - Add cryptominisat patch to build package in f18. * Sat Mar 16 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.7-3 - Create jmol symbolic links in post and remove in postun. - Disable libgap by default as it does not work with rawhide gap. - Also add python-ipython to build requires to regenerate documentation. * Wed Mar 06 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.7-2 - Add missing python-ipython requires (#877651#52) - Enable libgap build in packager debug build (#877651#52) * Fri Feb 22 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.7-1 - Update to sagemath 5.7. - Add conditional patch for libgap. - Add conditional patch for fes. - Remove with_sage_ipython conditional. - Add patch to create a libcsage with a soname. * Mon Feb 18 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.6-6 - Rebuild with latest rawhide and f18 updates - Make sagemath-notebook owner of its base data directory - Explicitly mark notebook translations as %lang (#877651#c46) - Remove sage3d as it is not functional in the rpm package (#877651#c46) - Remove reference to buildroot in libcsage.so debuginfo * Fri Feb 15 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.6-5 - Export CFLAGS and CXXFLAGS (#877651#c45) - Make sagemath-data owner of SAGE_SHARE (#877651#c45) - Relocate SAGE_DOC and make sagemath-doc packages noarch (#877651#c45) - Relocate SAGE_SHARE and make sagemath-data packages noarch (#877651#c45) - Remove sagenb binary egg bundled in tarball (#877651#c45) - Update license tag due to unlisted Apache v2 license (#877651#c45) - Break down licenses in files listing (#877651#c45) - Add post scriplets to handle the installed icon (#877651#c45) - Do not install empty directories in SAGE_EXTCODE (#877651#c45) - Do not install bundled mathjax fonts (#877651#c45) - Add a descriptive comment to patches without one (#877651#c45) - Correct mispelled donwload_tarball macro name (#877651#c45) - Remove reference to buildroot in prep (#877651#c45) - Simplify coin-or-Cbc build requires as it has proper dependencies * Sun Feb 10 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.6-4 - Correct "canonicalization unexpectedly shrank by one character" error. - Add packager_debug macro for conditional package debug mode build. - Add donwload_tarball macro to avoid fedora-review donwloading it every run. * Sat Feb 09 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.6-3 - Add cryptominisat-devel to build requires. - Add conditional build for lrcalc (fedora review rhbz #909510) - Add conditional build for coin-or-CoinUtils (fedora review rhbz #894585) - Add conditional build for coin-or-Osi (fedora review rhbz #894586) - Add conditional build for coin-or-Clp (fedora review rhbz #894587) - Add conditional build for coin-or-Cgl (fedora review rhbz #894588) - Add conditional build for coin-or-Cbc (fedora review rhbz #894597) - Rebuild with latest rawhide and f18 dependency updates. * Mon Jan 28 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.6-2 - Rebuild with latest rawhide and f18 updates. * Fri Jan 25 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.6-1 - Update to sagemath 5.6. - Remove no longer required patch to build with system cython. * Sat Jan 19 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.5-3 - Rediff rpmbuild patch to address some underlinked modules. - Make gap-sonata a mandatory requires. - Add cremona patch to adjust logic as only cremona mini is built. - Add lrslib patch to know lrslib is available. - Add nauty patch and comment about reason it cannot be made available. - Add gap-hap patch for better description of missing gap hap package. * Fri Jan 04 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.5-2 - Add cython to build requires (#877651#c28). * Sat Dec 29 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.5-1 - Update to sagemath 5.5. - Add maxima.system patch to work with maxima 5.29.1 package. * Fri Dec 14 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.1-5 - Build with system cython by default on fedora 18 or newer (#877651). * Fri Dec 14 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.1-4 - The fplll patch is also required to build in f18. - Add factory include to plural.pyx build. * Wed Dec 05 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.1-3 - Revert requires python-matplotlib-tk as it was a python-matplotlib bug. - Add stix-fonts requires. * Sat Dec 01 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.1-2 - Change back to install .c and .h files in bundled cython. - Make symlink of gmp-ecm to $SAGE_LOCAL/bin/ecm. - Add SAGE_LOCAL/bin to python path so that "sage -gdb" works. - Require python-matplotlib-tk to avoid possible import error in doctests. * Fri Nov 30 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.1-1 - Update to sagemath 5.4.1. * Tue Nov 20 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4-2 - Do not install alternate cygdb in %_bindir - Create the sagemath-core subpackage - Create the sagemath-doc subpackage - Create the sagemath-doc-en subpackage - Create the sagemath-doc-de subpackage - Create the sagemath-doc-fr subpackage - Create the sagemath-doc-pt subpackage - Create the sagemath-doc-ru subpackage - Create the sagemath-doc-tr subpackage - Create the sagemath-data metapackage - Create the sagemath-data-conway_polynomials subpackage - Create the sagemath-data-elliptic_curves subpackage - Create the sagemath-data-extcode subpackage - Do not install pickle_jar extcode contents - Do not install notebook extcode contents - Create the sagemath-data-graphs subpackage - Create the sagemath-data-polytopes_db subpackage - Create the sagemath-notebook subpackage - Create the sagemath-rubiks subpackage - Create the sagemath-sagetex subpackage * Mon Nov 12 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4-1 - Update to sagemath 5.4. - Build with system networkx. - Install only one fallback icon. - Prevent rpm from providing private shared object. - Change base directory to %{_libdir} to avoid rpmlint errors. - Correct permissions of installed shared objects. - Rename most patches to use %{name} prefix as "suggested" by fedora-review. - Remove bundled jar files before %build. - Make cube solvers build optional and disabled by default. - Add option to run "sage -testall" during package build. * Sat Nov 10 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.beta1-4 - Add patch to make jmol export image functional - Update pari patch to use proper path to gprc.expect - Force usage of firefox in notebook (known to work are firefox and chromium) * Fri Oct 26 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.beta1-3 - Add support for releases with libmpc 0.9. * Wed Oct 24 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.beta1-2 - Add Portuguese translations of Tutorial and A Tour of Sage * Sat Oct 20 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.4.beta1-1 - Update to sagemath 5.4.beta1 - Removed already applied upstream linbox upgrade patch - Removed already applied upstream givaro upgrade patch - Removed already applied upstream singular upgrade patch - Install rubiks spkg binaries * Wed Sep 12 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.3-1 - Update to sagemath 5.3. - Remove version from patches name. - Drop m4ri patch already applied to upstream. * Fri Sep 07 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.2-2 - Add sphinx workaround to have editable tutorial forms (#839321) - Make interactive 3d plots using jmol applet functional (#837166) - Use system genus2reduction - Add workaround to mp_set_memory_functions call from pari library * Sat Aug 04 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.2-1 - Update to sagemath 5.2. * Sun Jul 01 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 5.0.1-1 - Initial sagemath spec.